Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-flatland
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-module-flatland
Version:        0.0.2
Release:        alt1_4
Summary:        HTML form management and validation

License:        MIT
URL:            http://discorporate.us/projects/flatland/
#Source of this release from: https://bitbucket.org/jek/flatland/get/0938e70bb76d.tar.bz2
Source0:        jek-flatland-0938e70bb76d.tar.bz2

BuildArch:      noarch
BuildRequires:  python-devel python-module-nose python-module-blinker
Source44: import.info

%description
Flatland maps between rich, structured Python application data and the 
string-oriented flat namespace of web forms, key/value stores, text 
files and user input. Flatland provides a schema-driven mapping toolkit 
with optional data validation.

%prep
%setup -n %{oldname}-%{version} -qn jek-flatland-0938e70bb76d

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
nosetests -v

%files
%doc AUTHORS LICENSE README
%{python_sitelibdir_noarch}/flatland-*py?.?.egg-info
%{python_sitelibdir_noarch}/flatland/


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_3
- initial fc import

